Package org.apache.sysds.runtime.controlprogram.federated

## Class FederatedWorkerHandlerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sysds.runtime.controlprogram.federated.FederatedWorkerHandlerException

All Implemented Interfaces:
  `Serializable`

    public class FederatedWorkerHandlerException
    extends RuntimeException

Exception to throw when an exception occurs in FederatedWorkerHandler during handling of FederatedRequest. The purpose of FederatedWorkerHandlerException is to propagate useful information from the federated workers to the federated master without exposing details that are usually included in exceptions, for instance name of files that were not found or data points that could not be handled correctly.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`FederatedWorkerHandlerException​(String msg)` Create new instance of FederatedWorkerHandlerException with a message.
`FederatedWorkerHandlerException​(String msg, Throwable t)` Create new instance of FederatedWorkerHandlerException with a message and a throwable representing the original cause of the exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FederatedWorkerHandlerException

    public FederatedWorkerHandlerException​(String msg)

Create new instance of FederatedWorkerHandlerException with a message.

Parameters:
  `msg` - message describing the exception

#### FederatedWorkerHandlerException

    public FederatedWorkerHandlerException​(String msg,
                                           Throwable t)

Create new instance of FederatedWorkerHandlerException with a message and a throwable representing the original cause of the exception. This constructor should not be used unless the throwable @param t does not expose any private data in any use case.

Parameters:
  `msg` - message describing the exception
  `t` - throwable representing the original cause of the exception